Page MenuHomePhabricator

[AMDGPU] Fixed incorrect PAL metadata register naming
ClosedPublic

Authored by tpr on Apr 25 2020, 4:17 AM.

Details

Summary

This only affects assembly and -filetype=asm codegen of PAL metadata.

Change-Id: I7b822e1917bf7b403486820d31afc483be207652

Diff Detail

Event Timeline

tpr created this revision.Apr 25 2020, 4:17 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 25 2020, 4:17 AM
tpr updated this revision to Diff 261448.May 1 2020, 2:57 AM

V2: Also fixed GS regs. Added test.

piotr accepted this revision.May 18 2020, 7:11 AM
piotr added a subscriber: piotr.

LGTM

This revision is now accepted and ready to land.May 18 2020, 7:11 AM
This revision was automatically updated to reflect the committed changes.